I'm on 4.5.0-10U and get stuck... help!

Discussion in '3DS - Homebrew Development and Emulators' started by skateredm, Nov 7, 2016.

  1. skateredm
    OP

    skateredm Member

    Newcomer
    27
    6
    Nov 7, 2016
    Brazil
    Hello guys, i have a 3DS XL on the sysNAND firm 4.5.0-10U and want to install emuNAND to get some 3DS .CIA games, however, can you guys help me to launch Homebrew Launcher? It seems browserhax dont work in my current firmware, and i dont have Ocarina of Time or Cubic Ninja as it seems to be the only entrypoints to HBL to work in my 3DS XL firm...

    I also have a R4i3D (http://www.r4i3d.com/) with works good with my firm, can i somehow use it to an entrypoint to HBL?

    The entrypoint for browserhax dont work in my firmware... is there a way to access with this method on my actual firmware?

    Theres also the Gateway method with worked to open the Gateway menu with i got somehow the tutorial in the net, but theres not the option to launch the HBL there...

    Long story short, what EXACTLY i can do while im in in this firmware???

    Thanks for the attention.
     
    Last edited by skateredm, Nov 7, 2016
  2. Quantumcat

    Quantumcat Dead and alive

    Member
    10,532
    5,559
    Nov 23, 2014
    Australia
    Canberra, Australia
    You can't use browserhax on 4.5. It exploits things not introduced until 9.0. I don't think you can even use the homebrew launcher at all no matter your entrypoint. Follow https://github.com/Plailect/Guide/wiki (not the current one but there's a link to the new location there). Start with "Get Started".
     
    Last edited by Quantumcat, Nov 7, 2016
  3. erman1337

    erman1337 GBAtemp Maniac

    Member
    1,211
    931
    Sep 27, 2015
    Belgium
    Brussels
    Wat
     
  4. Xiphiidae

    Xiphiidae ξίφος εἶδος

    Member
    2,080
    1,015
    Sep 13, 2009
    Australia
    Well, browserhax uses *hax payloads, which only work on >=9.0. Strictly speaking the exploit itself is available on all versions with the appropriate browser below 11.0.

    @skateredm Your best bet would be to find a game cartridge that has a 9.0-10.6 cart update.
     
    Last edited by Xiphiidae, Nov 7, 2016
  5. einhuman197

    einhuman197 GBAtemp Advanced Fan

    Member
    945
    358
    Aug 17, 2015
    Germany
    Inside your bootloader (´◉◞౪◟◉)
    Install mset (or browser Exploit), use decrypt9 mset and install the 2.1 ctrnand file. Then install A9lh and install the 9.2 ctrnand file. You can find a guide here https://plailect.github.io/Guide/
     
    Last edited by einhuman197, Nov 7, 2016
  6. Quantumcat

    Quantumcat Dead and alive

    Member
    10,532
    5,559
    Nov 23, 2014
    Australia
    Canberra, Australia
    Oops I'll fix that
     
    I pwned U! likes this.
  7. Alex658

    Alex658 GBAtemp Maniac

    Member
    1,151
    340
    Jun 4, 2010
    Venezuela
    Venezuela
    You can use browserhax on ANY version below 10.7, what you can't is use it as an entrypoint to HBL. Browserhax is an alternate way to install the older Launcher.dat/Decrypt9/Rxtools, it's just that it doesn't get current support out of anything other than decrypt9.

    EDIT: And Brickway, i mean gatewait.
     
    Last edited by Alex658, Nov 7, 2016
  8. Quantumcat

    Quantumcat Dead and alive

    Member
    10,532
    5,559
    Nov 23, 2014
    Australia
    Canberra, Australia
    Yeah but launcher.dat etc don't use boot.3dsx. So that's "a" browser exploit, but it isn't browserhax.
     
  9. Alex658

    Alex658 GBAtemp Maniac

    Member
    1,151
    340
    Jun 4, 2010
    Venezuela
    Venezuela
    According to GBAtemp wiki

    Apparently the .3dsx format only came to being with Smealum's HBL, and can only boot from ninjhax based exploits. Browserhax can work with the .DAT exploits and .3dsx (if somewhere beyond 4.5 but prior to 11.2(?))
     
  10. Quantumcat

    Quantumcat Dead and alive

    Member
    10,532
    5,559
    Nov 23, 2014
    Australia
    Canberra, Australia
    Just definitions :-p You never see someone say "use browserhax to get into Gateway mode". Browserhax is synonymous with the HBL in everyone's minds.
     
  11. Alex658

    Alex658 GBAtemp Maniac

    Member
    1,151
    340
    Jun 4, 2010
    Venezuela
    Venezuela
    That doesn't make it correct if you're a purist like me, i rather things to be called their own name. I hate it when people cal a9lh "arm9".

    According to that, HBL SHOULD work for 4.5. but only from cubic ninja, OP can maybe try to download the 4.5.0-10 payload from smealum's site and see what happens? I doubt it can load from "browserhax" though.
     
  12. KunoichiZ

    KunoichiZ GBAtemp Guru

    Member
    7,875
    3,134
    Mar 16, 2012
    United States
    The lowest payload on smealum's site is 9.0.0-7.
     
    Quantumcat likes this.
  13. Alex658

    Alex658 GBAtemp Maniac

    Member
    1,151
    340
    Jun 4, 2010
    Venezuela
    Venezuela
    Oh, alrighty then. I guess it can only launch from Cubic Ninja on versions prior to 9.0.0-7.
     
  14. einhuman197

    einhuman197 GBAtemp Advanced Fan

    Member
    945
    358
    Aug 17, 2015
    Germany
    Inside your bootloader (´◉◞౪◟◉)
    Guys. Ninjhax2 and browserhax only works >=9.0. Other browser Exploits (such as 2rxsa) work on firmwares below but they can't launch hbl.